UI::GXML::XSLTransTree Class Reference

XSL translation result tree. More...

`#include <XSLTransTree.hpp>`

Inheritance diagram for UI::GXML::XSLTransTree:
Collaboration diagram for UI::GXML::XSLTransTree:

## Data Structures

class | Params
| Parameter abstraction for xsl translations. More...
class | Dump
| XSLTransTree serializer. More...

## Public Types

enum | ErrorCode { Mem_ = 0 , Apply_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.
Public Types inherited from UI::GXML::Tree
enum | ErrorCode { Parse_ , Mem_ , NoNode_ , Internal_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.
typedef std::map< std::string, std::string > | NamespaceMap
| Structure holding namespaces for xPath expressions.
enum | FileConstructor { File_ }
| Helper enum for constructor from file name.

## Public Member Functions

| XSLTransTree (XSLTree const &xslTree, Tree const &tree, Params const &params=Params())
| Constructor.
| XSLTransTree (XSLTree const &style, XMLTree const *const tree, Params const &params=Params())
| Compatibility constructor for old XMLTree.
std::string | getOutputEncoding () const
| See XSLTree::getOutputEncoding().
Public Member Functions inherited from UI::GXML::Tree
Tree & | operator= (Tree const &tree)
| Copy operator.
bool | operator== (Tree const &tree)
| Comparison.
Tree & | setTopLevelNamespaces ()
Tree & | setXPathNamespace (std::string const &prefix, std::string const &uri)
| Set custom xml namespace known in xPath queries.
std::string | dump (bool const &format=false, std::string const &encoding=DefaultEncoding_) const
| Tree dump shortcut.
std::string | formatDump (std::string const &encoding=DefaultEncoding_) const
| As dump, but will reparse the tree first.
std::string | getOrigEncoding () const
| Get original document's encoding.
void | setName (std::string const &xpath, std::string const &name)
| Set name of node(s).
void | unlink (std::string const &xpath)
| Remove node(s) from tree.
Tree & | setContext (bool on=true)
| (Un)configure the tree to use a fix xpath context.
XPathContext * | getContext () const
| Get fixed context.
XPathObject | getXPathObject (std::string const &xpath) const
NodeSet | getNodeSet (std::string const &xpath) const
Node | getNode (std::string const &xpath, bool const &doThrow=true) const
Node | getRootNode () const
| Shortcut to get the root node.
int | getCount (std::string const &xpath) const
bool | exists (std::string const &xpath, int const times=1) const
char const * | getContentC (std::string const &xpath) const
std::string | getContent (std::string const &xpath) const
void | setContent (std::string const &xpath, std::string const &content)
void | setAttribute (std::string const &xpath, std::string const &name, std::string const &content)
std::string | getAttribute (std::string const &xpath, std::string const &name) const
Node | addChild (std::string const &xpath, std::string const &name, std::string const &content="")
Node | addChild (std::string const &xpath, Node const &node)
void | addTree (std::string const &xpath, Tree const &source, std::string const &sourceXPath="/*")
void | addXML (std::string const &xpath, std::string const &source, std::string const &sourceXPath="/*")
| Tree (char const *xml, int len=-1, std::string const &base=DefaultDocbase_, int const options=0)
| Construct from C string or buffer.
| Tree (std::string const &xml, std::string const &base=DefaultDocbase_, int const options=0)
| Construct from string.
| Tree (std::istream &xml, std::string const &base=DefaultDocbase_, int const options=0)
| Construct from istream.
| Tree (FileConstructor const &dummy, std::string const &file, int const options=0)
| Construct from file name.
| Tree (Tree const &tree)
| Construct from another Tree.

## Protected Member Functions

xsltStylesheet * | getStylesheet () const
Protected Member Functions inherited from UI::GXML::Tree
| Tree ()
| Protected default constructor.
Tree & | setDontFreeDoc (bool on=true)
| En/disable freeing of underlying libxml2 doc_ tree. Use with caution.

## Additional Inherited Members

Static Public Attributes inherited from UI::GXML::Tree
static std::string const | DefaultEncoding_
| Default encoding. This is used for any dumps if not specified otherwise.
static std::string const | DefaultEncodings_
| Comma-separated uppercase list of the name and all allowed aliases the default encoding.
static std::string const | DefaultDocbase_
| Default document base. This is used for from-memory parsing if not specified otherwise.
Protected Attributes inherited from UI::GXML::Tree
NamespaceMap | xPathNamespaces_
| Prefixs and URIs for custom xml namespaces in xPath queries.

## Detailed Description

XSL translation result tree.

Examples
  XSLTProc.cpp.

The documentation for this class was generated from the following files:

- XSLTransTree.hpp
- XSLTransTree.cpp